com.lowagie.text.exceptions

## Class InvalidPdfException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.lowagie.text.exceptions.InvalidPdfException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    UnsupportedPdfException

      public class InvalidPdfException
      extends java.io.IOException

  Typed exception used when opening an existing PDF document. Gets thrown when the document isn't a valid PDF document.
  Since:
    2.1.5
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` a serial version UID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidPdfException(java.lang.String message)` Creates an instance of a NoPdfException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      a serial version UID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InvalidPdfException

          public InvalidPdfException(java.lang.String message)

      Creates an instance of a NoPdfException.
      Parameters:
        `message` - the reason why the document isn't a PDF document according to iText.